Package org.snpeff.util

# Enum Class Log.FatalErrorBehabiour

java.lang.Object
java.lang.Enum<Log.FatalErrorBehabiour>
org.snpeff.util.Log.FatalErrorBehabiour

All Implemented Interfaces:
  `Serializable`, `Comparable<Log.FatalErrorBehabiour>`, `Constable`

Enclosing class:
  `Log`

public static enum Log.FatalErrorBehabiour extends Enum<Log.FatalErrorBehabiour>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCEPTION`
`EXCEPTION_QUIET`
`EXIT`

## Method Summary

Modifier and Type
Method
Description
`static Log.FatalErrorBehabiour`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Log.FatalErrorBehabiour[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXIT

public static final Log.FatalErrorBehabiour EXIT

### EXCEPTION

public static final Log.FatalErrorBehabiour EXCEPTION

### EXCEPTION_QUIET

public static final Log.FatalErrorBehabiour EXCEPTION_QUIET

## Method Details

### values

public static Log.FatalErrorBehabiour[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Log.FatalErrorBehabiour valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null